/* 
 * shared definitions for Neo_send.c and Neo_receive.c
 * define TCPSOCKETS to use internet connections,
 * otherwise connections will be via named pipes
 */

#include <sys/types.h>
#include <sys/socket.h>

#ifdef TCPSOCKETS
#   include <netinet/in.h>
#   include <arpa/inet.h>
#   define SERVER_HOST_ADDR "129.70.127.66"
#   define SERVER_TCP_PORT   9100
#   define FAMILY  AF_INET
#   define SOCKADDR struct sockaddr_in
#else
#   define FAMILY  AF_UNIX
#   define SERVER_IOFILE "__NeoIOFile__"
#   define SOCKADDR struct sockaddr
#endif

#define HEADERBYTES 32 

