/********************************************************************
 *
 *   header file for Neo19.c 
 *
 ********************************************************************/

#ifndef __NEO19_H
#define __NEO19_H

extern unitptr guCurrentVarIcon;

extern int  neo_input_filter(char* pcStr, char *pcFieldInfo, float *pfValue);
extern void NeoSetTVALPointer(void);

extern unitptr GlobalVarWdw(void);
extern int NeoDefineUnit(unitptr uIcon);
extern void NeoDisableArrayIndexSubstitution(void);
extern void NeoEnableArrayIndexSubstitution(void);
extern int NeoFindVariable(char *pcStr, char **ppcBgn, char **ppcEnd);
extern unitptr NeoGlobalVarIcon(unitptr uSrcIcon);
extern int NeoResolveVarsWithSlotsOf(unitptr uIcon);
extern int NeoRetranslateVariables(unitptr uIcon);
extern void NeoSetDesignatedHostIcon(unitptr uHostIcon);
extern int NeoSubstituteVariables(int iFirst, char *pcWhich, 
                                  char *pcBuf, char *pcStr, 
                                  unitptr uWdwOfStr, unitptr uDefWdw );
extern char* NeoTranslateStr(char *pc, char cType, 
                             unitptr uWdwOfStr, unitptr uVarIcon   );
extern int NeoUndefineUnit(unitptr uIcon);

extern void ReplaceAllVarsInContainer(unitptr uIcon, char *pcReplace);
extern void ReplaceVarsByValuesForIcon(int iFirst, char *pcWhich, unitptr uIcon);
extern int  ReplaceVarsByValuesForWdw(int iFirst, char *pcWhich, unitptr uWdw);

#endif /* __NEO19_H */
