/********************************************************************
 *
 *   header file for Neo_main-3.c 
 *
 ********************************************************************/

#ifndef __NEO_MAIN_3_H
#define __NEO_MAIN_3_H

extern void neo_cleanup (void);

extern void SaveStatus (char *acStatusFile, unitptr uPrefs, 
                        unitptr uQueryLoadFile, unitptr uQuerySaveFile, 
                        unitptr uQueryCodeFile, unitptr uQueryPrintFile );

#if !defined(irix5)
extern void NeoEmergencyExit(int iSignal);
#else
extern void NeoEmergencyExit(int iSignal, int iNotUsed, struct sigcontext *pNotUsed);
#endif
extern void NeoCmdSave ( char *pcFileToSave, unitptr uQuerySaveFile );
extern int  NeoParseFileSpec (char *pcFileSpec, char **ppcFiles, char **ppcGroup);
extern int NeoClearFifo (FILE *fpFifo, int iMaxSeconds);
extern int NeoProcessFifo (FILE *fpFifo);

extern void NeoCmdCtrl (unitptr uControl, int iMode);
extern int  NeoCheckAndDoAltCmd (unitptr uMenue);

#endif /* __NEO_MAIN_3_H */
