/*****************************************************************************
 *
 * nst4.h  -  NST kernel layer 4: Connections
 *
 * Copyright Helge Ritter, 1992
 *
 * $Source: /vol/ni/src/cvsroot/nst5/nstsrc/nst4.h,v $
 *
 * $Log: nst4.h,v $
 * Revision 1.4  1997/12/21 00:04:54  helge
 * several minor changes
 *
 * Revision 1.3  1997/04/02 14:07:15  helge
 * most man pages now in source code; some corrections;
 * for list, check out new log file in main dir
 *
 * Revision 1.2  1997/03/13  10:48:37  jan
 * Dependency cleanup.
 *
 *
 *****************************************************************************/

#ifndef __NST4_H
#define __NST4_H
#include "nst_types.h"

extern  int expand_normal_field(unitptr,int*,int);
extern  int is_expandable(unitptr,int*);

extern field *f_and_id_of(unitptr,int*,int*);

extern  int nst_immediate_join(void);
extern  int join(unitptr,unitptr,int*,int*,int,int);
extern  int joinfields(unitptr,unitptr,int*,int*);
extern  int joinvar(unitptr,int*,int,VARTYPE*);
extern  int joinarrbystr(unitptr, int*, char*, VARTYPE*, char*); /* ++ JW */

/* the following functions are used to produce error 
   messages with line numbers */

extern  int set_restriction(int,int,int,int,int*,unitptr);
extern  int  get_restriction(int*,int*,int*,int*,int*,unitptr);
extern  int set_field_rectangular(int,int,int*,unitptr);

/* the same, but new name/interface: */
extern  int nst_init_roi(int,int,field*);
extern  int nst_set_roi(int,int,int,int,field*);
extern  int nst_get_roi(int*,int*,int*,int*,int*,int*,field*);
extern  int join_new(unitptr u1, unitptr u2, int *piF1, int *piF2, int f1, int f2);
extern  int joinfields_new(unitptr u1, unitptr u2, int *piF1, int *piF2);

#endif
