
extern void nst_prog_brk_point(Instruction_t*,float*);

extern int CompPointerArray(char*,int,unsigned int, Instruction_t**);
extern int CompVectorAssignment(Instruction_t**);
extern int CompVecToScalarAssignment(int,Instruction_t**);

extern float *LoadVector(Instruction_t*,float*);
extern float *LoadRect(Instruction_t*,float*);
extern float *LoadRow(Instruction_t*,float*);
extern float *LoadCol(Instruction_t*,float*);

extern float *BgnStoreVector(Instruction_t*,float*);
extern float *BgnStoreSubVector(Instruction_t*,float*);
extern float *EndStoreVector(Instruction_t*,float*);
extern float *EndStoreSubVector(Instruction_t*,float*);

extern float *BgnVecToScalar(Instruction_t*,float*);
extern float *EndVecToScalar(Instruction_t*,float*);

extern float *BgnStoreCol(Instruction_t*,float*);
extern float *BgnStoreRow(Instruction_t*,float*);
extern float *BgnStoreRect(Instruction_t*,float*);
extern float *EndStoreRect(Instruction_t*,float*);

extern float *InsertVector(Instruction_t*,float*);

extern float *NormOfVector(Instruction_t*,float*);
extern float *AddVector(Instruction_t*,float*);
extern float *AddScalar(Instruction_t*,float*);
extern float *PowVector(Instruction_t*,float*);
extern float *TransposeSquareMatrix(Instruction_t*, float*);
extern float *MultAddVector(Instruction_t*,float*);
extern float *LDivAddVector(Instruction_t*,float*);
extern float *RDivAddVector(Instruction_t*,float*);
extern float *PopFac2(float*);

