/***********************************************************************

 Version 2.0 of include file nst_util.h 

 Copyright by Helge Ritter 1992 
 
***********************************************************************/
#ifndef __NST_UTIL_H
#define __NST_UTIL_H
#include <stdio.h>
#include "nst3.h"

extern void substEnv(char *tRes, char *tEnv, char *tStr);
extern char *nst_expand_file_name(char*,char*);

/* NOTE: the old nst_fopen/fclose routine have now the name 
         nst_fopen1/fclose1 !  */

extern unitptr window_to_eps(char*,char*,float,float,char*,unitptr);
extern unitptr delay_unit(int n, int maxdel, unitptr dest);
extern unitptr data_store(char*,int,int*,unitptr);
extern unitptr iterator(int,int,int,int,char*,unitptr);
extern unitptr mapper(int,int,int,int,int,int,int*,char*,unitptr,unitptr);
extern unitptr time_unit(char*,unitptr);
extern unitptr reflect(int,char*,unitptr);
extern unitptr corrupt_vec(int,float,unitptr);

extern int ctrl_AsExec(int i, unitptr u);
#define SET_ADAPT_CTRL_TO_EXEC(u) {u->adapt=u->exec; u->ctrl=ctrl_AsExec;}

#endif
