
   function SubstituteVar(TextStr,Name,VAR) {
      # does substitution of $VarX - tokens (X=digit) by VAR[X]
      # and of $Name by argument Name:
      Len = length(TextStr)
      for (j=1; j<=Len; j++) {
          if (substr(TextStr,j,4)=="$Var") {
             if ((k = substr(TextStr,j+4,1)) ~ /[0-9]/) {
                TextStr = substr(TextStr,1,j-1) VAR[k] substr(TextStr,j+5)
                Len = length(TextStr);
             } 
          } else if (substr(TextStr,j,5)=="$Name") {
             if (substr(TextStr,j+5,1) == "#")
                TextStr = substr(TextStr,1,j-1) NUM_NAMES substr(TextStr,j+6)
             else 
                TextStr = substr(TextStr,1,j-1) Name substr(TextStr,j+5)
             Len = length(TextStr);
          }
      }
      return TextStr;
   }

   (NR==1) {
       TempFile = "@@@mkt@@@.tmp"
       VAR[0] = V0; VAR[1] = V1; VAR[2] = V2; VAR[3] = V3; VAR[4] = V4;
       VAR[5] = V5; VAR[6] = V6; VAR[7] = V7; VAR[8] = V8; VAR[9] = V9;
       # make list of names passed in variable NAMES:
       NUM_NAMES= split(NAMES,NAME_LIST);
   }
   {
   if (NR==1 || (ACTIVE && $1=="#ENDSECTION"))  {
          # extract next item from TODO-string:
          i1 = index(TODO,">"); i2 = index(TODO,";")-1;
          if (i2<0) i2=length(TODO);
          if (file ~ /[^ ]/) {
             if (system("test -f "file)==0) printf "Warning -- file %s exists!\n",file | "cat 1>&2" 
             system("mv -i "TempFile" "file);
             if (system("test -f "TempFile)==0) {
                printf "warning -- did not create new version of file %s\n",file | "cat 1>&2" 
                system("rm "TempFile)
             }
             close(TempFile)
          }
          section = substr(TODO,1,i1-1);
          file    = substr(TODO,i1+1,i2-i1);
             
          TODO = substr(TODO,i2+2);
          ACTIVE = 0; REPEATLOOP = 0; count++; 
          if (index($0,"#ENDSECTION")) next;
   }
   if ($1=="#SECTION" && index(section,$2)) { ACTIVE=1; next;}
   if ($1=="#FORNAMES" && ACTIVE) { 
      if (NF == 3 && $2 == "PREFIXED" ) {
          PREFIX = $3
      } else PREFIX = ""; 
      ELSELOOP  =0;
      REPEATLOOP=1; TEXTBODY=""; next; 
   }
   if ($1=="#ELSE" && ACTIVE) { 
      ELSELOOP     = 1;
      REPEATLOOP   = 0; 
      TEXTBODYELSE = "";
      next;
   }
   if ($1=="#ENDFOR" && ACTIVE) {  
       REPEATLOOP=0;
       ELSELOOP  =0;
       # ship out text body once for each item in NAME_LIST, substituting
       # $Name each time by current item!
       for (n=1; n<=NUM_NAMES; n++) {
          CurName = NAME_LIST[n];
          Start = index(CurName,"#") 
          if (PREFIX && (index(CurName,PREFIX) != 1)) {
             TextOut = SubstituteVar(TEXTBODYELSE,substr(CurName,Start+1),VAR);
          } else {
             TextOut = SubstituteVar(TEXTBODY,substr(CurName,Start+1),VAR);
          }
          if (file ~ /[^ ]/) print TextOut > TempFile; else print TextOut | "more"
       } 
       TEXTBODY     = "";
       TEXTBODYELSE = "";
       next; 
   } 
   if (REPEATLOOP) { 
        if (TEXTBODY) TEXTBODY = TEXTBODY "\n" $0; 
        else TEXTBODY = $0;
        next 
   }
   if (ELSELOOP) {
        if (TEXTBODYELSE) TEXTBODYELSE = TEXTBODYELSE "\n" $0; 
        else TEXTBODYELSE = $0;
        next 
   }
   if (ACTIVE>0) {
       # does substitution of $VarX - tokens (X=digit):
       TextOut = SubstituteVar($0,"$Name",VAR); 
       if (file ~ /[^ ]/) print TextOut > TempFile; else print TextOut | "more"
   }
   }
   END { if (system("test -f "TempFile)==0) system("rm "TempFile); }

